import es, gamethread, playerlib, cfglib

info = es.AddonInfo()
info.version = "1.6 In Python"
info.author = "DreTaX"
info.name = "dretaxzmprotect"
info.url = "http://addons.eventscripts.com/addons/user/56071"
info.date = "2013.10.25"
es.ServerVar('DreTaXZMProTeCt', info.version, 'By DreTaX').makepublic()

config = cfglib.AddonCFG(es.getAddonPath("dretaxprotect") + "/spawnprotect.cfg")
 
config.text("  DreTaXProtect SETTINGS")
dretaxprotect_enable     = config.cvar("dretaxprotect_enable",     1, "Enable/disable DreTaX's Protection")
config.text("  DreTaXProtect's SpawnProtection Settings")

dretax_spawnenable   = config.cvar("dretax_spawnenable",   1, "Enable/disable dretax_spawn spawnprotection module.")
dretax_spawntime   = config.cvar("dretax_spawntime",   7, "Time in Seconds: Def: 7")
dretax_zombieteam   = config.cvar("dretax_zombieteam",   2, "You can define which team are the zombies on. 2 is T | 3 is CT")
dretax_delaymsg   = config.cvar("dretax_delaymsg",   1, "Send message to notify player if he is protected.")
config.write()
 
def load():
	es.msg("[DreTaXs Python ZM SpawnProtection Loaded]")
	config.execute()
	
def unload():
	es.msg("[DreTaXs Python ZM SpawnProtection UnLoaded]")
	
def es_map_start(E):
	config.execute()

def player_death(E):
	if dretaxprotect_enable == 1:		
		if dretax_spawnenable == 1:
			playerlib.getPlayer(E["userid"]).set('color', [255, 255, 255, 255])  

def player_spawn(E):
    if dretaxprotect_enable == 1:
		userid = E["userid"]
		if dretax_spawnenable == 1:
			jatekos = playerlib.getPlayer(userid)
			if dretax_zombieteam == 2:
				if es.getplayerteam(userid) == 3:
					jatekos.set('color', [0, 0, 255, 128])
					es.setplayerprop(userid, "CBasePlayer.m_lifeState", 0)
					gamethread.cancelDelayed("echo_%s" % userid)
					gamethread.delayedname(int(dretax_spawntime), "echo_%s" % userid, reset, (userid))
					if dretax_delaymsg == 1:
						es.tell(userid, "#multi", "#green You are Protected for #lightgreen " + dretax_spawntime + "#green seconds")
				if es.getplayerteam(userid) == 2:
					jatekos.set('color', [255, 255, 255, 255])
			if dretax_zombieteam == 3:
				if es.getplayerteam(userid) == 3:
					jatekos.set('color', [255, 255, 255, 255])
				if es.getplayerteam(userid) == 2:
					jatekos.set('color', [0, 0, 255, 128])
					es.setplayerprop(userid, "CBasePlayer.m_lifeState", 0)
					gamethread.cancelDelayed("echo_%s" % userid)
					gamethread.delayedname(int(dretax_spawntime), "echo_%s" % userid, reset, (userid))
					if dretax_delaymsg == 1:
						es.tell(userid, "#multi", "#green You are Protected for #lightgreen " + dretax_spawntime + " #green seconds")

def reset(userid):
	es.setplayerprop(userid, "CBasePlayer.m_lifeState", 512)
	playerlib.getPlayer(userid).set('color', [255, 255, 255, 255])
	if dretax_delaymsg == 1:
		es.tell(userid, "#green", "You are no Longer Protected.")